Http11AprProtocol (Apache Tomcat 9.0.37 API Documentation)

org.apache.coyote.http11

## Class Http11AprProtocol

- java.lang.Object
- - org.apache.coyote.AbstractProtocol<S>
  - - org.apache.coyote.http11.AbstractHttp11Protocol<Long>
    - - org.apache.coyote.http11.Http11AprProtocol

- All Implemented Interfaces:
    MBeanRegistration, ProtocolHandler

      public class Http11AprProtocol
      extends AbstractHttp11Protocol<Long>

  Abstract the protocol implementation, including threading, etc. Processor is single threaded and specific to stream-based protocols, will not fit Jk protocols like JNI.
  Author:
    Remy Maucherat, Costin Manolache

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.coyote.AbstractProtocol

      `AbstractProtocol.ConnectionHandler<S>, AbstractProtocol.RecycledProcessors`

  - ### Field Summary

    - ### Fields inherited from class org.apache.coyote.http11.AbstractHttp11Protocol

      `sm`

    - ### Fields inherited from class org.apache.coyote.AbstractProtocol

      `adapter, domain, mserver, oname, processorCache, rgOname`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Http11AprProtocol()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getDeferAccept()`
    `protected Log` | `getLog()` Concrete implementations need to provide access to their logger to be used by the abstract classes.
    `protected String` | `getNamePrefix()` Obtain the prefix to be used when construction a name for this protocol handler.
    `int` | `getPollTime()`
    `int` | `getSendfileSize()`
    `boolean` | `isAprRequired()` Requires APR/native library
    `void` | `setDeferAccept(boolean deferAccept)`
    `void` | `setPollTime(int pollTime)`
    `void` | `setSendfileSize(int sendfileSize)`

    - ### Methods inherited from class org.apache.coyote.http11.AbstractHttp11Protocol

      `addAllowedTrailerHeader, addSslHostConfig, addUpgradeProtocol, createProcessor, createUpgradeProcessor, findSslHostConfigs, findUpgradeProtocols, getAlgorithm, getAllowedTrailerHeaders, getAllowedTrailerHeadersInternal, getAllowHostHeaderMismatch, getCiphers, getClientAuth, getCompressibleMimeType, getCompressibleMimeTypes, getCompression, getCompressionLevel, getCompressionMinSize, getConnectionUploadTimeout, getCrlFile, getDefaultSSLHostConfigName, getDisableUploadTimeout, getEndpoint, getKeyAlias, getKeyPass, getKeystoreFile, getKeystorePass, getKeystoreProvider, getKeystoreType, getMaxExtensionSize, getMaxHttpHeaderSize, getMaxKeepAliveRequests, getMaxSavePostSize, getMaxSwallowSize, getMaxTrailerSize, getNegotiatedProtocol, getNoCompressionStrongETag, getNoCompressionUserAgents, getNoCompressionUserAgentsPattern, getProtocolName, getRejectIllegalHeader, getRejectIllegalHeaderName, getRelaxedPathChars, getRelaxedQueryChars, getRestrictedUserAgents, getRestrictedUserAgentsPattern, getSecure, getServer, getServerRemoveAppProvidedValues, getSessionCacheSize, getSessionTimeout, getSSLCACertificateFile, getSSLCACertificatePath, getSSLCARevocationFile, getSSLCARevocationPath, getSSLCertificateChainFile, getSSLCertificateFile, getSSLCertificateKeyFile, getSSLCipherSuite, getSSLDisableCompression, getSSLDisableSessionTickets, getSslEnabledProtocols, getSSLHonorCipherOrder, getSSLPassword, getSslProtocol, getSSLProtocol, getSSLVerifyClient, getSSLVerifyDepth, getTrustManagerClassName, getTrustMaxCertLength, getTruststoreAlgorithm, getTruststoreFile, getTruststorePass, getTruststoreProvider, getTruststoreType, getUpgradeProtocol, getUseKeepAliveResponseHeader, getUseSendfile, getUseServerCipherSuitesOrder, init, isSSLEnabled, reloadSslHostConfig, reloadSslHostConfigs, removeAllowedTrailerHeader, setAlgorithm, setAllowedTrailerHeaders, setAllowHostHeaderMismatch, setCiphers, setClientAuth, setCompressibleMimeType, setCompression, setCompressionMinSize, setConnectionUploadTimeout, setCrlFile, setDefaultSSLHostConfigName, setDisableUploadTimeout, setKeyAlias, setKeyPass, setKeystoreFile, setKeystorePass, setKeystoreProvider, setKeystoreType, setMaxExtensionSize, setMaxHttpHeaderSize, setMaxKeepAliveRequests, setMaxSavePostSize, setMaxSwallowSize, setMaxTrailerSize, setNoCompressionStrongETag, setNoCompressionUserAgents, setRejectIllegalHeader, setRejectIllegalHeaderName, setRelaxedPathChars, setRelaxedQueryChars, setRestrictedUserAgents, setSecure, setServer, setServerRemoveAppProvidedValues, setSessionCacheSize, setSessionTimeout, setSSLCACertificateFile, setSSLCACertificatePath, setSSLCARevocationFile, setSSLCARevocationPath, setSSLCertificateChainFile, setSSLCertificateFile, setSSLCertificateKeyFile, setSSLCipherSuite, setSSLDisableCompression, setSSLDisableSessionTickets, setSSLEnabled, setSslEnabledProtocols, setSSLHonorCipherOrder, setSSLPassword, setSslProtocol, setSSLProtocol, setSSLVerifyClient, setSSLVerifyDepth, setTrustManagerClassName, setTrustMaxCertLength, setTruststoreAlgorithm, setTruststoreFile, setTruststorePass, setTruststoreProvider, setTruststoreType, setUseKeepAliveResponseHeader, setUseSendfile, setUseServerCipherSuitesOrder, useCompression`

    - ### Methods inherited from class org.apache.coyote.AbstractProtocol

      `addWaitingProcessor, closeServerSocketGraceful, destroy, getAcceptCount, getAcceptorThreadCount, getAcceptorThreadPriority, getAdapter, getAddress, getClientCertProvider, getConnectionCount, getConnectionLinger, getConnectionTimeout, getDomain, getExecutor, getHandler, getKeepAliveTimeout, getLocalPort, getMaxConnections, getMaxHeaderCount, getMaxThreads, getMinSpareThreads, getName, getNameIndex, getObjectName, getPort, getPortOffset, getPortWithOffset, getProcessorCache, getProperty, getTcpNoDelay, getThreadPriority, getUtilityExecutor, isPaused, isSendfileSupported, pause, postDeregister, postRegister, preDeregister, preRegister, removeWaitingProcessor, resume, setAcceptCount, setAcceptorThreadCount, setAcceptorThreadPriority, setAdapter, setAddress, setClientCertProvider, setConnectionLinger, setConnectionTimeout, setExecutor, setHandler, setKeepAliveTimeout, setMaxConnections, setMaxHeaderCount, setMaxThreads, setMinSpareThreads, setPort, setPortOffset, setProcessorCache, setProperty, setTcpNoDelay, setThreadPriority, setUtilityExecutor, start, startAsyncTimeout, stop, stopAsyncTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.coyote.ProtocolHandler

      `create, getDesiredBufferSize`

- - ### Constructor Detail

    - #### Http11AprProtocol

          public Http11AprProtocol()

  - ### Method Detail

    - #### getLog

          protected Log getLog()

      Description copied from class: `AbstractProtocol`
      Concrete implementations need to provide access to their logger to be used by the abstract classes.
      Specified by:
        `getLog` in class `AbstractProtocol<Long>`
      Returns:
        the logger

    - #### isAprRequired

          public boolean isAprRequired()

      Description copied from interface: `ProtocolHandler`
      Requires APR/native library
      Specified by:
        `isAprRequired` in interface `ProtocolHandler`
      Overrides:
        `isAprRequired` in class `AbstractProtocol<Long>`
      Returns:
        `true` if this Protocol Handler requires the APR/native library, otherwise `false`

    - #### getPollTime

          public int getPollTime()

    - #### setPollTime

          public void setPollTime(int pollTime)

    - #### getSendfileSize

          public int getSendfileSize()

    - #### setSendfileSize

          public void setSendfileSize(int sendfileSize)

    - #### getDeferAccept

          public boolean getDeferAccept()

    - #### setDeferAccept

          public void setDeferAccept(boolean deferAccept)

    - #### getNamePrefix

          protected String getNamePrefix()

      Description copied from class: `AbstractProtocol`
      Obtain the prefix to be used when construction a name for this protocol handler. The name will be prefix-address-port.
      Specified by:
        `getNamePrefix` in class `AbstractProtocol<Long>`
      Returns:
        the prefix

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.